API Reference
Get AI model selection for a topic
Returns the topic-level override, the effective models after the topic → domain → organization → plan-default fallback chain, and the models available to the plan.
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
Domain identifier
topicId*string
Topic identifier
Response Body
application/json
curl -X GET "https://example.com/api/domains/string/topics/string/models"{ "selectedModels": [ "openai-gpt5" ], "effectiveModels": [ "openai-gpt5" ], "effectiveSelectableModels": [ "openai-gpt5" ], "source": "topic", "fallbackToParent": false, "domainSelectedModels": [], "organizationSelectedModels": [ "openai-gpt5", "anthropic-claude-4.5-sonnet" ], "modelFallbacks": [], "replacementModels": [], "maxModels": 3, "availableModels": [ { "id": "chatgpt", "model": "chatgpt", "name": "ChatGPT", "provider": "OpenAI", "enabled": true, "webAccess": true, "tier": 2, "displayProvider": "OpenAI", "fanOutQueriesSupported": true, "availability": { "verifiedMarkets": [ "US" ], "blockedMarkets": [], "blockedRegions": [], "sourcelessMarkets": [], "sourcelessRegions": [] } } ]}